> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chat.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer by ID

> Delete customer by ID. Attached profile and all customer data (messages, activities, etc) will be deleted. Deletion will be logged. See deletion log.



## OpenAPI

````yaml api-reference/openapi.json delete /customers/{id}
openapi: 3.0.3
info:
  version: 0.1.0
  title: Client API
servers:
  - url: https://1-some-client.some-server.healvi-chat/third-party/v1
security:
  - bearerAuth: []
paths:
  /customers/{id}:
    delete:
      tags:
        - customers
      summary: >
        Delete customer by ID. Attached profile and all customer data (messages,
        activities, etc) will be deleted.

        Deletion will be logged. See deletion log.
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items: {}
                    maxItems: 0
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````